/**
 * JORM: an implementation of a generic mapping system for persistent Java
 *       objects. Two mapping are supported: to RDBMS and to binary files.
 * Copyright (C) 2001-2004 France Telecom R&D - INRIA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: jorm@objectweb.org
 *
 */
package org.objectweb.jorm.mapper.rdb.metainfo;

import org.objectweb.jorm.metainfo.api.Class;
import org.objectweb.jorm.metainfo.api.TypedElement;
import org.objectweb.jorm.metainfo.api.PrimitiveElement;
import org.objectweb.medor.expression.parser.api.ParameterTypeProvider;
import org.objectweb.medor.expression.api.MalformedExpressionException;
import org.objectweb.jorm.type.api.PType;

/**
 * @author A. Lefebvre
 */
public class RdbFilterParameterTypeProvider implements ParameterTypeProvider {

	Class theClass;

	public RdbFilterParameterTypeProvider(Class cl) {
		theClass = cl;
	}

	public PType getParameterPType(String s)
			throws MalformedExpressionException {
		TypedElement tel = theClass.getTypedElement(s);
		if (tel instanceof PrimitiveElement) {
			return tel.getType();
		} else {
			throw new MalformedExpressionException("Parameter " + s + " is not a PrimitiveElement.");
		}
	}
}
