/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.jorm.naming.api;

/**
 * Polymorphic PNames are used for inheritance.
 * @author Y.Bersihand
 */
public interface PolymorphicPName extends PName {

	/**
	 * It returns true if the PName is polymorphic, 
	 * else it returns false.
	 * A polymorphic PName has a filter which is not part of the primary key:
	 * then two kinds of PName exist, the first PName is composed of the primary key 
	 * and the second PName is composed of the primary key plus the filter. 
	 */
	boolean isPolymorphic();
	
	/**
	 * It sets the PName to polymorphic.
	 */
	void setPolymorphic(boolean polymorphic);
	
	/**
	 * Sets the pNameManager of the PName.
	 * Used to change the link between the PName and a PBinder to a link between
	 * the PName and the PNCoder.
	 */
	void setPNameManager(PNameManager pNameManager);
	
}
