/**
 * JORM: an implementation of a generic mapping system for persistent Java
 *       objects. Two mapping are supported: to RDBMS and to binary files.
 * Copyright (C) 2001-2003 France Telecom R&D - INRIA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: jorm-team@objectweb.org
 *
 */

package org.objectweb.jorm;

import org.objectweb.perseus.connector.ra.fos.FosAttributeControler;
import org.objectweb.perseus.connector.ra.fos.FosManagedConnectionFactory;
import org.objectweb.util.monolog.api.LoggerFactory;

import javax.resource.spi.ManagedConnectionFactory;
import java.util.Properties;

/**
 * author   P. Dechamboux
 */
public class FosAdapterPropertiesSetter implements JcaAdapterPropertiesSetter {
	public static final String FOS_URL = "fos.ConnectionURL";

	/**
	 * Allows the adapter speficied by its associated ManagedConnectionFactory
	 * to retrieve its specific properties from the one
	 * passed in parameters in order to initalize correctly.
	 * @param prop  The set of properties to be used.
	 */
	public void assignProperties(ManagedConnectionFactory mcf, Properties prop, LoggerFactory lf)
		throws Exception {
		FosAttributeControler ra = (FosAttributeControler) mcf;
		// configure it
		ra.setConnectionURL(prop.getProperty(FOS_URL));
		ra.setLoggerFactory(lf);
		ra.setInitializeAtStartUp(false);
		ra.setLoggerBaseName("test");
		((FosManagedConnectionFactory) ra).start();
	}
}
