/**
 * Copyright (C) 2003-2004
 * - France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Release: 1.0
 *
 * Authors: Olivier Lobry (olivier.lobry@francetelecom.com)
 * Date: 28 sept. 2004
 * Time: 15:13:29
 */

package org.objectweb.jorm.mapper.rdb.inheritance;

import org.objectweb.jorm.pobject.inheritance.extent.AnimalAccessor;
import org.objectweb.jorm.api.PException;

public abstract class Animal implements AnimalAccessor {
    boolean isMale;
    int size;


    Animal(boolean isMale, int size) {
        this.isMale = isMale;
        this.size = size;
    }

    //Accessors to the isMale field
    public void paSetIsMale(boolean val) throws PException {
        isMale = val;
    }

    public boolean paGetIsMale() throws PException {
        return isMale;
    }

    //Accessors to the size field
    public void paSetSize(int val) throws PException {
        size = val;
    }

    public int paGetSize() throws PException {
        return size;
    }

    //Accessors to the species field
    public void paSetSpecies(String val) throws PException {
    }

    abstract public String paGetSpecies();

    public Object getMemoryInstance() {
        return this;
    }
    public boolean equals(Object o) {
        if (o instanceof Animal) {
            Animal animal = (Animal) o;
            return ((animal.isMale == this.isMale) &&
                    (animal.size == this.size) &&
                    (animal.paGetSpecies().equals(this.paGetSpecies())));
        }
        return false;
    }
}
