/**
 * Copyright (C) 2003-2004
 * - France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Release: 1.0
 *
 * Authors: Olivier Lobry (olivier.lobry@francetelecom.com)
 * Date: 28 sept. 2004
 * Time: 15:13:41
 */

package org.objectweb.jorm.mapper.rdb.inheritance;

import org.objectweb.jorm.pobject.inheritance.extent.MammalAccessor;
import org.objectweb.jorm.api.PException;

public abstract class Mammal extends Vertebrate implements MammalAccessor {
    int gestationLength;

    public Mammal(boolean isMale, int size, int gestationLength) {
        super(isMale, size);
        this.gestationLength = gestationLength;
    }
    //Accessors to the gestationLength field
    public void paSetGestationLength(int val) throws PException {
        gestationLength = val;
    }

    public int paGetGestationLength() throws PException {
        return gestationLength;
    }
    public boolean equals(Object o) {
         if (!super.equals(o)) {
             return false;
         }

         if (o instanceof Mammal) {
             Mammal mammal = (Mammal) o;
             return (mammal.gestationLength == gestationLength);
         }
         return false;
     }
    
}
