/**
 * JORM: an implementation of a generic mapping system for persistent Java
 *       objects. Two mapping are supported: to RDBMS and to binary files.
 * Copyright (C) 2001-2003 France Telecom R&D - INRIA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: jorm-team@objectweb.org
 *
 */

package org.objectweb.jorm.runtime.basictype;

import org.objectweb.jorm.pobject.basictype.AllTypesAccessor;
import org.objectweb.jorm.api.PException;

import java.util.Date;
import java.io.Serializable;

/**
 *
 * @author S.Chassande-Barrioz
 */
public class AllTypesAcc implements AllTypesAccessor {


    public boolean booleanValue1 = true;
    public boolean booleanValue2 = true;
    public byte byteValue1 = 0;
    public byte byteValue2 = 0;
    public char charValue1 = '0';
    public char charValue2 = '0';
    public short shortValue1 = 0;
    public short shortValue2 = 0;
    public int intValue1 = 0;
    public int intValue2 = 0;
    public long longValue1 = 0;
    public long longValue2 = 0;
    public float floatValue1 = (float) 0.0;
    public float floatValue2 = (float) 0.0;
    public double doubleValue1 = 0.0;
    public double doubleValue2 = 0.0;

    public Boolean obooleanValue1 = null;
    public Boolean obooleanValue2 = null;
    public Byte obyteValue1 = null;
    public Byte obyteValue2 = null;
    public Character ocharValue1 = null;
    public Character ocharValue2 = null;
    public Short oshortValue1 = null;
    public Short oshortValue2 = null;
    public Integer ointValue1 = null;
    public Integer ointValue2 = null;
    public Long olongValue1 = null;
    public Long olongValue2 = null;
    public Float ofloatValue1 = null;
    public Float ofloatValue2 = null;
    public Double odoubleValue1 = null;
    public Double odoubleValue2 = null;

    public String stringValue1 = null;
    public String stringValue2 = null;
    public Date dateValue1 = null;
    public Date dateValue2 = null;
    public Serializable serializedValue1 = null;
    public Serializable serializedValue2 = null;
    public byte[] bytearrayValue1 = null;
    public byte[] bytearrayValue2 = null;
    public char[] chararrayValue1 = null;
    public char[] chararrayValue2 = null;

    //Accessors to the shortValue2 field
    public void paSetShortValue2(short val) throws PException {
        shortValue2 = val;
    }

    public short paGetShortValue2() throws PException {
        return shortValue2;
    }

    //Accessors to the longValue2 field
    public void paSetLongValue2(long val) throws PException {
        longValue2 = val;
    }

    public long paGetLongValue2() throws PException {
        return longValue2;
    }

    //Accessors to the shortValue1 field
    public void paSetShortValue1(short val) throws PException {
        shortValue1= val;
    }

    public short paGetShortValue1() throws PException {
        return shortValue1;
    }

    //Accessors to the longValue1 field
    public void paSetLongValue1(long val) throws PException {
        longValue1 = val;
    }

    public long paGetLongValue1() throws PException {
        return longValue1;
    }

    //Accessors to the obyteValue2 field
    public void paSetObyteValue2(Byte val) throws PException {
        obyteValue2 = val;
    }

    public Byte paGetObyteValue2() throws PException {
        return obyteValue2;
    }

    //Accessors to the obyteValue1 field
    public void paSetObyteValue1(Byte val) throws PException {
        obyteValue1 = val;
    }

    public Byte paGetObyteValue1() throws PException {
        return obyteValue1;
    }

    //Accessors to the intValue2 field
    public void paSetIntValue2(int val) throws PException {
        intValue2 = val;
    }

    public int paGetIntValue2() throws PException {
        return intValue2;
    }

    //Accessors to the intValue1 field
    public void paSetIntValue1(int val) throws PException {
        intValue1 = val;
    }

    public int paGetIntValue1() throws PException {
        return intValue1;
    }

    //Accessors to the dateValue2 field
    public void paSetDateValue2(Date val) throws PException {
        dateValue2 = val;
    }

    public Date paGetDateValue2() throws PException {
        return dateValue2;
    }

    //Accessors to the oshortValue2 field
    public void paSetOshortValue2(Short val) throws PException {
        oshortValue2 = val;
    }

    public Short paGetOshortValue2() throws PException {
        return oshortValue2;
    }

    //Accessors to the dateValue1 field
    public void paSetDateValue1(Date val) throws PException {
        dateValue1 = val;
    }

    public Date paGetDateValue1() throws PException {
        return dateValue1;
    }

    //Accessors to the oshortValue1 field
    public void paSetOshortValue1(Short val) throws PException {
        oshortValue1 = val;
    }

    public Short paGetOshortValue1() throws PException {
        return oshortValue1;
    }

    //Accessors to the olongValue2 field
    public void paSetOlongValue2(Long val) throws PException {
        olongValue2 = val;
    }

    public Long paGetOlongValue2() throws PException {
        return olongValue2;
    }

    //Accessors to the olongValue1 field
    public void paSetOlongValue1(Long val) throws PException {
        olongValue1 = val;
    }

    public Long paGetOlongValue1() throws PException {
        return olongValue1;
    }

    //Accessors to the booleanValue2 field
    public void paSetBooleanValue2(boolean val) throws PException {
        booleanValue2 = val;
    }

    public boolean paGetBooleanValue2() throws PException {
        return booleanValue2;
    }

    //Accessors to the booleanValue1 field
    public void paSetBooleanValue1(boolean val) throws PException {
        booleanValue1 = val;
    }

    public boolean paGetBooleanValue1() throws PException {
        return booleanValue1;
    }

    //Accessors to the ointValue2 field
    public void paSetOintValue2(Integer val) throws PException {
        ointValue2 = val;
    }

    public Integer paGetOintValue2() throws PException {
        return ointValue2;
    }

    //Accessors to the ointValue1 field
    public void paSetOintValue1(Integer val) throws PException {
        ointValue1 = val;
    }

    public Integer paGetOintValue1() throws PException {
        return ointValue1;
    }

    //Accessors to the floatValue2 field
    public void paSetFloatValue2(float val) throws PException {
        floatValue2 = val;
    }

    public float paGetFloatValue2() throws PException {
        return floatValue2;
    }

    //Accessors to the floatValue1 field
    public void paSetFloatValue1(float val) throws PException {
        floatValue1 = val;
    }

    public float paGetFloatValue1() throws PException {
        return floatValue1;
    }

    //Accessors to the obooleanValue2 field
    public void paSetObooleanValue2(Boolean val) throws PException {
        obooleanValue2 = val;
    }

    public Boolean paGetObooleanValue2() throws PException {
        return obooleanValue2;
    }

    //Accessors to the obooleanValue1 field
    public void paSetObooleanValue1(Boolean val) throws PException {
        obooleanValue1 = val;
    }

    public Boolean paGetObooleanValue1() throws PException {
        return obooleanValue1;
    }

    //Accessors to the charValue2 field
    public void paSetCharValue2(char val) throws PException {
        charValue2 = val;
    }

    public char paGetCharValue2() throws PException {
        return charValue2;
    }

    //Accessors to the charValue1 field
    public void paSetCharValue1(char val) throws PException {
        charValue1 = val;
    }

    public char paGetCharValue1() throws PException {
        return charValue1;
    }

    //Accessors to the stringValue2 field
    public void paSetStringValue2(String val) throws PException {
        stringValue2 = val;
    }

    public String paGetStringValue2() throws PException {
        return stringValue2;
    }

    //Accessors to the doubleValue2 field
    public void paSetDoubleValue2(double val) throws PException {
        doubleValue2 = val;
    }

    public double paGetDoubleValue2() throws PException {
        return doubleValue2;
    }

    //Accessors to the bytearrayValue2 field
    public void paSetBytearrayValue2(byte[] val) throws PException {
        bytearrayValue2 = val;
    }

    public byte[] paGetBytearrayValue2() throws PException {
        return bytearrayValue2;
    }

    //Accessors to the stringValue1 field
    public void paSetStringValue1(String val) throws PException {
        stringValue1 = val;
    }

    public String paGetStringValue1() throws PException {
        return stringValue1;
    }

    //Accessors to the doubleValue1 field
    public void paSetDoubleValue1(double val) throws PException {
        doubleValue1 = val;
    }

    public double paGetDoubleValue1() throws PException {
        return doubleValue1;
    }

    //Accessors to the bytearrayValue1 field
    public void paSetBytearrayValue1(byte[] val) throws PException {
        bytearrayValue1 = val;
    }

    public byte[] paGetBytearrayValue1() throws PException {
        return bytearrayValue1;
    }

    //Accessors to the ofloatValue2 field
    public void paSetOfloatValue2(Float val) throws PException {
        ofloatValue2 = val;
    }

    public Float paGetOfloatValue2() throws PException {
        return ofloatValue2;
    }

    //Accessors to the ofloatValue1 field
    public void paSetOfloatValue1(Float val) throws PException {
        ofloatValue1 = val;
    }

    public Float paGetOfloatValue1() throws PException {
        return ofloatValue1;
    }

    //Accessors to the byteValue2 field
    public void paSetByteValue2(byte val) throws PException {
        byteValue2 = val;
    }

    public byte paGetByteValue2() throws PException {
        return byteValue2;
    }

    //Accessors to the byteValue1 field
    public void paSetByteValue1(byte val) throws PException {
        byteValue1 = val;
    }

    public byte paGetByteValue1() throws PException {
        return byteValue1;
    }

    //Accessors to the ocharValue2 field
    public void paSetOcharValue2(Character val) throws PException {
        ocharValue2 = val;
    }

    public Character paGetOcharValue2() throws PException {
        return ocharValue2;
    }

    //Accessors to the serializedValue2 field
    public void paSetSerializedValue2(Serializable val) throws PException {
        serializedValue2 = val;
    }

    public Serializable paGetSerializedValue2() throws PException {
        return serializedValue2;
    }

    //Accessors to the ocharValue1 field
    public void paSetOcharValue1(Character val) throws PException {
        ocharValue1 = val;
    }

    public Character paGetOcharValue1() throws PException {
        return ocharValue1;
    }

    //Accessors to the serializedValue1 field
    public void paSetSerializedValue1(Serializable val) throws PException {
        serializedValue1 = val;
    }

    public Serializable paGetSerializedValue1() throws PException {
        return serializedValue1;
    }

    //Accessors to the chararrayValue2 field
    public void paSetChararrayValue2(char[] val) throws PException {
        chararrayValue2 = val;
    }

    public char[] paGetChararrayValue2() throws PException {
        return chararrayValue2;
    }

    //Accessors to the chararrayValue1 field
    public void paSetChararrayValue1(char[] val) throws PException {
        chararrayValue1 = val;
    }

    public char[] paGetChararrayValue1() throws PException {
        return chararrayValue1;
    }

    //Accessors to the odoubleValue2 field
    public void paSetOdoubleValue2(Double val) throws PException {
        odoubleValue2 = val;
    }

    public Double paGetOdoubleValue2() throws PException {
        return odoubleValue2;
    }

    //Accessors to the odoubleValue1 field
    public void paSetOdoubleValue1(Double val) throws PException {
        odoubleValue1 = val;
    }

    public Double paGetOdoubleValue1() throws PException {
        return odoubleValue1;
    }

    public Object getMemoryInstance() {
        return this;
    }

}
