/**
 * JORM: an implementation of a generic mapping system for persistent Java
 *       objects. Two mapping are supported: to RDBMS and to binary files.
 * Copyright (C) 2001-2003 France Telecom R&D - INRIA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: jorm-team@objectweb.org
 *
 */

package org.objectweb.jorm.runtime.namedef;

import org.objectweb.jorm.pobject.compositename.ACompositeAllTypesIdAccessor;
import org.objectweb.jorm.pobject.compositename.CompositeAllTypesIdPNG;
import org.objectweb.jorm.api.PException;
import org.objectweb.jorm.naming.api.PName;

import java.util.Date;

/**
 *
 * @author S.Chassande-Barrioz
 */
public class AllTypesAccessor implements ACompositeAllTypesIdAccessor {

    public int f1 = 1;

    public byte byte1Name = -1;
    public byte byte2Name = -1;
    public char char1Name = '0';
    public char char2Name = '0';
    public short short1Name = -1;
    public short short2Name = -1;
    public int int1Name = -1;
    public int int2Name = -1;
    public long long1Name = -1;
    public long long2Name = -1;
    public Byte oByte1Name = null;
    public Byte oByte2Name = null;
    public Character oChar1Name = null;
    public Character oChar2Name = null;
    public Short oShort1Name = null;
    public Short oShort2Name = null;
    public Integer oInt1Name = null;
    public Integer oInt2Name = null;
    public Long oLong1Name = null;
    public Long oLong2Name = null;
    public String string1Name = null;
    public String string2Name = null;
    public Date date1Name = null;
    public Date date2Name = null;
    public byte[] bytearray1Name = null;
    public byte[] bytearray2Name = null;
    public char[] chararray1Name = null;
    public char[] chararray2Name = null;
    public byte byte1Myself1 = -1;
    public byte byte2Myself1 = -1;
    public char char1Myself1 = '0';
    public char char2Myself1 = '0';
    public short short1Myself1 = -1;
    public short short2Myself1 = -1;
    public int int1Myself1 = -1;
    public int int2Myself1 = -1;
    public long long1Myself1 = -1;
    public long long2Myself1 = -1;
    public Byte oByte1Myself1 = null;
    public Byte oByte2Myself1 = null;
    public Character oChar1Myself1 = null;
    public Character oChar2Myself1 = null;
    public Short oShort1Myself1 = null;
    public Short oShort2Myself1 = null;
    public Integer oInt1Myself1 = null;
    public Integer oInt2Myself1 = null;
    public Long oLong1Myself1 = null;
    public Long oLong2Myself1 = null;
    public String string1Myself1 = null;
    public String string2Myself1 = null;
    public Date date1Myself1 = null;
    public Date date2Myself1 = null;
    public byte[] bytearray1Myself1 = null;
    public byte[] bytearray2Myself1 = null;
    public char[] chararray1Myself1 = null;
    public char[] chararray2Myself1 = null;

    public byte byte1Myself2 = -1;
    public byte byte2Myself2 = -1;
    public char char1Myself2 = '0';
    public char char2Myself2 = '0';
    public short short1Myself2 = -1;
    public short short2Myself2 = -1;
    public int int1Myself2 = -1;
    public int int2Myself2 = -1;
    public long long1Myself2 = -1;
    public long long2Myself2 = -1;
    public Byte oByte1Myself2 = null;
    public Byte oByte2Myself2 = null;
    public Character oChar1Myself2 = null;
    public Character oChar2Myself2 = null;
    public Short oShort1Myself2 = null;
    public Short oShort2Myself2 = null;
    public Integer oInt1Myself2 = null;
    public Integer oInt2Myself2 = null;
    public Long oLong1Myself2 = null;
    public Long oLong2Myself2 = null;
    public String string1Myself2 = null;
    public String string2Myself2 = null;
    public Date date1Myself2 = null;
    public Date date2Myself2 = null;
    public byte[] bytearray1Myself2 = null;
    public byte[] bytearray2Myself2 = null;
    public char[] chararray1Myself2 = null;
    public char[] chararray2Myself2 = null;

    public PName myself1 = null;
    public PName myself2 = null;


    public void setNameValues(PName pn) throws PException {
        CompositeAllTypesIdPNG png =
                (CompositeAllTypesIdPNG) pn.encodeAbstract();
        byte1Name = png.pnGetByteF1(null);
        byte2Name = png.pnGetByteF2(null);
        char1Name = png.pnGetCharF1(null);
        char2Name = png.pnGetCharF2(null);
        short1Name = png.pnGetShortF1(null);
        short2Name = png.pnGetShortF2(null);
        int1Name = png.pnGetIntF1(null);
        int2Name = png.pnGetIntF2(null);
        long1Name = png.pnGetLongF1(null);
        long2Name = png.pnGetLongF2(null);
        oByte1Name = png.pnGetOByteF1(null);
        oByte2Name = png.pnGetOByteF2(null);
        oChar1Name = png.pnGetOCharF1(null);
        oChar2Name = png.pnGetOCharF2(null);
        oShort1Name = png.pnGetOShortF1(null);
        oShort2Name = png.pnGetOShortF2(null);
        oInt1Name = png.pnGetOIntF1(null);
        oInt2Name = png.pnGetOIntF2(null);
        oLong1Name = png.pnGetOLongF1(null);
        oLong2Name = png.pnGetOLongF2(null);
        string1Name = png.pnGetStringF1(null);
        string2Name = png.pnGetStringF2(null);
        date1Name = png.pnGetDateF1(null);
        date2Name = png.pnGetDateF2(null);
        bytearray1Name = png.pnGetByteArrayF1(null);
        bytearray2Name = png.pnGetByteArrayF2(null);
        chararray1Name = png.pnGetCharArrayF1(null);
        chararray2Name = png.pnGetCharArrayF2(null);
    }

    public void setMyself1(PName pn) throws PException {
        CompositeAllTypesIdPNG png =
                (CompositeAllTypesIdPNG) pn.encodeAbstract();
        myself1 = pn;
        byte1Myself1 = png.pnGetByteF1(null);
        byte2Myself1 = png.pnGetByteF2(null);
        char1Myself1 = png.pnGetCharF1(null);
        char2Myself1 = png.pnGetCharF2(null);
        short1Myself1 = png.pnGetShortF1(null);
        short2Myself1 = png.pnGetShortF2(null);
        int1Myself1 = png.pnGetIntF1(null);
        int2Myself1 = png.pnGetIntF2(null);
        long1Myself1 = png.pnGetLongF1(null);
        long2Myself1 = png.pnGetLongF2(null);
        oByte1Myself1 = png.pnGetOByteF1(null);
        oByte2Myself1 = png.pnGetOByteF2(null);
        oChar1Myself1 = png.pnGetOCharF1(null);
        oChar2Myself1 = png.pnGetOCharF2(null);
        oShort1Myself1 = png.pnGetOShortF1(null);
        oShort2Myself1 = png.pnGetOShortF2(null);
        oInt1Myself1 = png.pnGetOIntF1(null);
        oInt2Myself1 = png.pnGetOIntF2(null);
        oLong1Myself1 = png.pnGetOLongF1(null);
        oLong2Myself1 = png.pnGetOLongF2(null);
        string1Myself1 = png.pnGetStringF1(null);
        string2Myself1 = png.pnGetStringF2(null);
        date1Myself1 = png.pnGetDateF1(null);
        date2Myself1 = png.pnGetDateF2(null);
        bytearray1Myself1 = png.pnGetByteArrayF1(null);
        bytearray2Myself1 = png.pnGetByteArrayF2(null);
        chararray1Myself1 = png.pnGetCharArrayF1(null);
        chararray2Myself1 = png.pnGetCharArrayF2(null);
    }

    public void setMyself2(PName pn) throws PException {
        CompositeAllTypesIdPNG png =
                (CompositeAllTypesIdPNG) pn.encodeAbstract();
        myself2 = pn;
        byte1Myself2 = png.pnGetByteF1(null);
        byte2Myself2 = png.pnGetByteF2(null);
        char1Myself2 = png.pnGetCharF1(null);
        char2Myself2 = png.pnGetCharF2(null);
        short1Myself2 = png.pnGetShortF1(null);
        short2Myself2 = png.pnGetShortF2(null);
        int1Myself2 = png.pnGetIntF1(null);
        int2Myself2 = png.pnGetIntF2(null);
        long1Myself2 = png.pnGetLongF1(null);
        long2Myself2 = png.pnGetLongF2(null);
        oByte1Myself2 = png.pnGetOByteF1(null);
        oByte2Myself2 = png.pnGetOByteF2(null);
        oChar1Myself2 = png.pnGetOCharF1(null);
        oChar2Myself2 = png.pnGetOCharF2(null);
        oShort1Myself2 = png.pnGetOShortF1(null);
        oShort2Myself2 = png.pnGetOShortF2(null);
        oInt1Myself2 = png.pnGetOIntF1(null);
        oInt2Myself2 = png.pnGetOIntF2(null);
        oLong1Myself2 = png.pnGetOLongF1(null);
        oLong2Myself2 = png.pnGetOLongF2(null);
        string1Myself2 = png.pnGetStringF1(null);
        string2Myself2 = png.pnGetStringF2(null);
        date1Myself2 = png.pnGetDateF1(null);
        date2Myself2 = png.pnGetDateF2(null);
        bytearray1Myself2 = png.pnGetByteArrayF1(null);
        bytearray2Myself2 = png.pnGetByteArrayF2(null);
        chararray1Myself2 = png.pnGetCharArrayF1(null);
        chararray2Myself2 = png.pnGetCharArrayF2(null);
    }

    //Accessors to the longName_2 field
    public void paSetLongName_2(long val) throws PException {
        long2Name = val;
    }

    public long paGetLongName_2() throws PException {
        return long2Name;
    }

    //Accessors to the longMyself2_2 field
    public void paSetLongMyself2_2(long val) throws PException {
        long2Myself2 = val;
    }

    public long paGetLongMyself2_2() throws PException {
        return long2Myself2;
    }

    //Accessors to the longName_1 field
    public void paSetLongName_1(long val) throws PException {
        long1Name = val;
    }

    public long paGetLongName_1() throws PException {
        return long1Name;
    }

    //Accessors to the longMyself2_1 field
    public void paSetLongMyself2_1(long val) throws PException {
        long1Myself2 = val;
    }

    public long paGetLongMyself2_1() throws PException {
        return long1Myself2;
    }

    //Accessors to the longMyself1_2 field
    public void paSetLongMyself1_2(long val) throws PException {
        long2Myself1 = val;
    }

    public long paGetLongMyself1_2() throws PException {
        return long2Myself1;
    }

    //Accessors to the longMyself1_1 field
    public void paSetLongMyself1_1(long val) throws PException {
        long1Myself1 = val;
    }

    public long paGetLongMyself1_1() throws PException {
        return long1Myself1;
    }

    //Accessors to the oIntMyself2_2 field
    public void paSetOIntMyself2_2(Integer val) throws PException {
        oInt2Myself2 = val;
    }

    public Integer paGetOIntMyself2_2() throws PException {
        return oInt2Myself2;
    }

    //Accessors to the oIntMyself2_1 field
    public void paSetOIntMyself2_1(Integer val) throws PException {
        oInt1Myself2 = val;
    }

    public Integer paGetOIntMyself2_1() throws PException {
        return oInt1Myself2;
    }

    //Accessors to the oIntMyself1_2 field
    public void paSetOIntMyself1_2(Integer val) throws PException {
        oInt2Myself1 = val;
    }

    public Integer paGetOIntMyself1_2() throws PException {
        return oInt2Myself1;
    }

    //Accessors to the oIntMyself1_1 field
    public void paSetOIntMyself1_1(Integer val) throws PException {
        oInt1Myself1 = val;
    }

    public Integer paGetOIntMyself1_1() throws PException {
        return oInt1Myself1;
    }

    //Accessors to the oLongMyself2_2 field
    public void paSetOLongMyself2_2(Long val) throws PException {
        oLong2Myself2 = val;
    }

    public Long paGetOLongMyself2_2() throws PException {
        return oLong2Myself2;
    }

    //Accessors to the oLongMyself2_1 field
    public void paSetOLongMyself2_1(Long val) throws PException {
        oLong1Myself2 = val;
    }

    public Long paGetOLongMyself2_1() throws PException {
        return oLong1Myself2;
    }

    //Accessors to the stringMyself2_2 field
    public void paSetStringMyself2_2(String val) throws PException {
        string2Myself2 = val;
    }

    public String paGetStringMyself2_2() throws PException {
        return string2Myself2;
    }

    //Accessors to the chararrayName_2 field
    public void paSetChararrayName_2(char[] val) throws PException {
        chararray2Name = val;
    }

    public char[] paGetChararrayName_2() throws PException {
        return chararray2Name;
    }

    //Accessors to the stringMyself2_1 field
    public void paSetStringMyself2_1(String val) throws PException {
        string1Myself2 = val;
    }

    public String paGetStringMyself2_1() throws PException {
        return string1Myself2;
    }

    //Accessors to the chararrayName_1 field
    public void paSetChararrayName_1(char[] val) throws PException {
        chararray1Name = val;
    }

    public char[] paGetChararrayName_1() throws PException {
        return chararray1Name;
    }

    //Accessors to the oLongMyself1_2 field
    public void paSetOLongMyself1_2(Long val) throws PException {
        oLong2Myself1 = val;
    }

    public Long paGetOLongMyself1_2() throws PException {
        return oLong2Myself1;
    }

    //Accessors to the oLongMyself1_1 field
    public void paSetOLongMyself1_1(Long val) throws PException {
        oLong1Myself1 = val;
    }

    public Long paGetOLongMyself1_1() throws PException {
        return oLong1Myself1;
    }

    //Accessors to the f1 field
    public void paSetF1(int val) throws PException {
        f1 = val;
    }

    public int paGetF1() throws PException {
        return f1;
    }

    //Accessors to the stringMyself1_2 field
    public void paSetStringMyself1_2(String val) throws PException {
        string2Myself1 = val;
    }

    public String paGetStringMyself1_2() throws PException {
        return string2Myself1;
    }

    //Accessors to the stringMyself1_1 field
    public void paSetStringMyself1_1(String val) throws PException {
        string1Myself1 = val;
    }

    public String paGetStringMyself1_1() throws PException {
        return string1Myself1;
    }

    //Accessors to the charMyself2_2 field
    public void paSetCharMyself2_2(char val) throws PException {
        char2Myself2 = val;
    }

    public char paGetCharMyself2_2() throws PException {
        return char2Myself2;
    }

    //Accessors to the charMyself2_1 field
    public void paSetCharMyself2_1(char val) throws PException {
        char1Myself2 = val;
    }

    public char paGetCharMyself2_1() throws PException {
        return char1Myself2;
    }

    //Accessors to the charMyself1_2 field
    public void paSetCharMyself1_2(char val) throws PException {
        char2Myself1 = val;
    }

    public char paGetCharMyself1_2() throws PException {
        return char2Myself1;
    }

    //Accessors to the charMyself1_1 field
    public void paSetCharMyself1_1(char val) throws PException {
        char1Myself1 = val;
    }

    public char paGetCharMyself1_1() throws PException {
        return char1Myself1;
    }

    //Accessors to the chararrayMyself2_2 field
    public void paSetChararrayMyself2_2(char[] val) throws PException {
        chararray2Myself2 = val;
    }

    public char[] paGetChararrayMyself2_2() throws PException {
        return chararray2Myself2;
    }

    //Accessors to the chararrayMyself2_1 field
    public void paSetChararrayMyself2_1(char[] val) throws PException {
        chararray1Myself2 = val;
    }

    public char[] paGetChararrayMyself2_1() throws PException {
        return chararray1Myself2;
    }

    //Accessors to the dateName_2 field
    public void paSetDateName_2(Date val) throws PException {
        date2Name = val;
    }

    public Date paGetDateName_2() throws PException {
        return date2Name;
    }

    //Accessors to the dateName_1 field
    public void paSetDateName_1(Date val) throws PException {
        date1Name = val;
    }

    public Date paGetDateName_1() throws PException {
        return date1Name;
    }

    //Accessors to the chararrayMyself1_2 field
    public void paSetChararrayMyself1_2(char[] val) throws PException {
        chararray2Myself1 = val;
    }

    public char[] paGetChararrayMyself1_2() throws PException {
        return chararray2Myself1;
    }

    //Accessors to the chararrayMyself1_1 field
    public void paSetChararrayMyself1_1(char[] val) throws PException {
        chararray1Myself1 = val;
    }

    public char[] paGetChararrayMyself1_1() throws PException {
        return chararray1Myself1;
    }

    //Accessors to the bytearrayName_2 field
    public void paSetBytearrayName_2(byte[] val) throws PException {
        bytearray2Name = val;
    }

    public byte[] paGetBytearrayName_2() throws PException {
        return bytearray2Name;
    }

    //Accessors to the oCharMyself2_2 field
    public void paSetOCharMyself2_2(Character val) throws PException {
        oChar2Myself2 = val;
    }

    public Character paGetOCharMyself2_2() throws PException {
        return oChar2Myself2;
    }

    //Accessors to the bytearrayName_1 field
    public void paSetBytearrayName_1(byte[] val) throws PException {
        bytearray1Name = val;
    }

    public byte[] paGetBytearrayName_1() throws PException {
        return bytearray1Name;
    }

    //Accessors to the oCharMyself2_1 field
    public void paSetOCharMyself2_1(Character val) throws PException {
        oChar1Myself2 = val;
    }

    public Character paGetOCharMyself2_1() throws PException {
        return oChar1Myself2;
    }

    //Accessors to the oByteName_2 field
    public void paSetOByteName_2(Byte val) throws PException {
        oByte2Name = val;
    }

    public Byte paGetOByteName_2() throws PException {
        return oByte2Name;
    }

    //Accessors to the oByteName_1 field
    public void paSetOByteName_1(Byte val) throws PException {
        oByte1Name = val;
    }

    public Byte paGetOByteName_1() throws PException {
        return oByte1Name;
    }

    //Accessors to the oCharMyself1_2 field
    public void paSetOCharMyself1_2(Character val) throws PException {
        oChar2Myself1 = val;
    }

    public Character paGetOCharMyself1_2() throws PException {
        return oChar2Myself1;
    }

    //Accessors to the oCharMyself1_1 field
    public void paSetOCharMyself1_1(Character val) throws PException {
        oChar1Myself1 = val;
    }

    public Character paGetOCharMyself1_1() throws PException {
        return oChar1Myself1;
    }

    //Accessors to the shortMyself2_2 field
    public void paSetShortMyself2_2(short val) throws PException {
        short2Myself2 = val;
    }

    public short paGetShortMyself2_2() throws PException {
        return short2Myself2;
    }

    //Accessors to the shortMyself2_1 field
    public void paSetShortMyself2_1(short val) throws PException {
        short1Myself2 = val;
    }

    public short paGetShortMyself2_1() throws PException {
        return short1Myself2;
    }

    //Accessors to the shortMyself1_2 field
    public void paSetShortMyself1_2(short val) throws PException {
        short2Myself1 = val;
    }

    public short paGetShortMyself1_2() throws PException {
        return short2Myself1;
    }

    //Accessors to the oIntName_2 field
    public void paSetOIntName_2(Integer val) throws PException {
        oInt2Name = val;
    }

    public Integer paGetOIntName_2() throws PException {
        return oInt2Name;
    }

    //Accessors to the shortMyself1_1 field
    public void paSetShortMyself1_1(short val) throws PException {
        short1Myself1 = val;
    }

    public short paGetShortMyself1_1() throws PException {
        return short1Myself1;
    }

    //Accessors to the oIntName_1 field
    public void paSetOIntName_1(Integer val) throws PException {
        oInt1Name = val;
    }

    public Integer paGetOIntName_1() throws PException {
        return oInt1Name;
    }

    //Accessors to the byteName_2 field
    public void paSetByteName_2(byte val) throws PException {
        byte2Name = val;
    }

    public byte paGetByteName_2() throws PException {
        return byte2Name;
    }

    //Accessors to the byteName_1 field
    public void paSetByteName_1(byte val) throws PException {
        byte1Name = val;
    }

    public byte paGetByteName_1() throws PException {
        return byte1Name;
    }

    //Accessors to the byteMyself2_2 field
    public void paSetByteMyself2_2(byte val) throws PException {
        byte2Myself2 = val;
    }

    public byte paGetByteMyself2_2() throws PException {
        return byte2Myself2;
    }

    //Accessors to the dateMyself2_2 field
    public void paSetDateMyself2_2(Date val) throws PException {
        date2Myself2 = val;
    }

    public Date paGetDateMyself2_2() throws PException {
        return date2Myself2;
    }

    //Accessors to the byteMyself2_1 field
    public void paSetByteMyself2_1(byte val) throws PException {
        byte1Myself2 = val;
    }

    public byte paGetByteMyself2_1() throws PException {
        return byte1Myself2;
    }

    //Accessors to the dateMyself2_1 field
    public void paSetDateMyself2_1(Date val) throws PException {
        date1Myself2 = val;
    }

    public Date paGetDateMyself2_1() throws PException {
        return date1Myself2;
    }

    //Accessors to the oByteMyself2_2 field
    public void paSetOByteMyself2_2(Byte val) throws PException {
        oByte2Myself2 = val;
    }

    public Byte paGetOByteMyself2_2() throws PException {
        return oByte2Myself2;
    }

    //Accessors to the oByteMyself2_1 field
    public void paSetOByteMyself2_1(Byte val) throws PException {
        oByte1Myself2 = val;
    }

    public Byte paGetOByteMyself2_1() throws PException {
        return oByte1Myself2;
    }

    //Accessors to the byteMyself1_2 field
    public void paSetByteMyself1_2(byte val) throws PException {
        byte2Myself1 = val;
    }

    public byte paGetByteMyself1_2() throws PException {
        return byte2Myself1;
    }

    //Accessors to the dateMyself1_2 field
    public void paSetDateMyself1_2(Date val) throws PException {
        date2Myself1 = val;
    }

    public Date paGetDateMyself1_2() throws PException {
        return date2Myself1;
    }

    //Accessors to the byteMyself1_1 field
    public void paSetByteMyself1_1(byte val) throws PException {
        byte1Myself1 = val;
    }

    public byte paGetByteMyself1_1() throws PException {
        return byte1Myself1;
    }

    //Accessors to the dateMyself1_1 field
    public void paSetDateMyself1_1(Date val) throws PException {
        date1Myself1 = val;
    }

    public Date paGetDateMyself1_1() throws PException {
        return date1Myself1;
    }

    //Accessors to the oByteMyself1_2 field
    public void paSetOByteMyself1_2(Byte val) throws PException {
        oByte2Myself1 = null;
    }

    public Byte paGetOByteMyself1_2() throws PException {
        return oByte2Myself1;
    }

    //Accessors to the oByteMyself1_1 field
    public void paSetOByteMyself1_1(Byte val) throws PException {
        oByte1Myself1 = val;
    }

    public Byte paGetOByteMyself1_1() throws PException {
        return oByte1Myself1;
    }

    //Accessors to the stringName_2 field
    public void paSetStringName_2(String val) throws PException {
        string2Name = null;
    }

    public String paGetStringName_2() throws PException {
        return string2Name;
    }

    //Accessors to the stringName_1 field
    public void paSetStringName_1(String val) throws PException {
        string1Name = val;
    }

    public String paGetStringName_1() throws PException {
        return string1Name;
    }

    //Accessors to the oShortMyself2_2 field
    public void paSetOShortMyself2_2(Short val) throws PException {
        oShort2Myself2 = val;
    }

    public Short paGetOShortMyself2_2() throws PException {
        return oShort2Myself2;
    }

    //Accessors to the oShortMyself2_1 field
    public void paSetOShortMyself2_1(Short val) throws PException {
        oShort1Myself2 = null;
    }

    public Short paGetOShortMyself2_1() throws PException {
        return oShort1Myself2;
    }

    //Accessors to the bytearrayMyself2_2 field
    public void paSetBytearrayMyself2_2(byte[] val) throws PException {
        bytearray2Myself2 = val;
    }

    public byte[] paGetBytearrayMyself2_2() throws PException {
        return bytearray2Myself2;
    }

    //Accessors to the oShortMyself1_2 field
    public void paSetOShortMyself1_2(Short val) throws PException {
        oShort2Myself1 = val;
    }

    public Short paGetOShortMyself1_2() throws PException {
        return oShort2Myself1;
    }

    //Accessors to the bytearrayMyself2_1 field
    public void paSetBytearrayMyself2_1(byte[] val) throws PException {
        bytearray1Myself2 = val;
    }

    public byte[] paGetBytearrayMyself2_1() throws PException {
        return bytearray1Myself2;
    }

    //Accessors to the oShortMyself1_1 field
    public void paSetOShortMyself1_1(Short val) throws PException {
        oShort1Myself1 = val;
    }

    public Short paGetOShortMyself1_1() throws PException {
        return oShort1Myself1;
    }

    //Accessors to the oShortName_2 field
    public void paSetOShortName_2(Short val) throws PException {
        oShort2Name = val;
    }

    public Short paGetOShortName_2() throws PException {
        return oShort2Name;
    }

    //Accessors to the oShortName_1 field
    public void paSetOShortName_1(Short val) throws PException {
        oShort1Name = val;
    }

    public Short paGetOShortName_1() throws PException {
        return oShort1Name;
    }

    //Accessors to the intName_2 field
    public void paSetIntName_2(int val) throws PException {
        int2Name = val;
    }

    public int paGetIntName_2() throws PException {
        return int2Name;
    }

    //Accessors to the bytearrayMyself1_2 field
    public void paSetBytearrayMyself1_2(byte[] val) throws PException {
        bytearray2Myself1 = val;
    }

    public byte[] paGetBytearrayMyself1_2() throws PException {
        return bytearray2Myself1;
    }

    //Accessors to the bytearrayMyself1_1 field
    public void paSetBytearrayMyself1_1(byte[] val) throws PException {
        bytearray1Myself1 = val;
    }

    public byte[] paGetBytearrayMyself1_1() throws PException {
        return bytearray1Myself1;
    }

    //Accessors to the intName_1 field
    public void paSetIntName_1(int val) throws PException {
        int1Name = val;
    }

    public int paGetIntName_1() throws PException {
        return int1Name;
    }

    //Accessors to the intMyself2_2 field
    public void paSetIntMyself2_2(int val) throws PException {
        int2Myself2 = val;
    }

    public int paGetIntMyself2_2() throws PException {
        return int2Myself2;
    }

    //Accessors to the intMyself2_1 field
    public void paSetIntMyself2_1(int val) throws PException {
        int1Myself2 = val;
    }

    public int paGetIntMyself2_1() throws PException {
        return int1Myself2;
    }

    //Accessors to the oCharName_2 field
    public void paSetOCharName_2(Character val) throws PException {
        oChar2Name = val;
    }

    public Character paGetOCharName_2() throws PException {
        return oChar2Name;
    }

    //Accessors to the shortName_2 field
    public void paSetShortName_2(short val) throws PException {
        short2Name = val;
    }

    public short paGetShortName_2() throws PException {
        return short2Name;
    }

    //Accessors to the oCharName_1 field
    public void paSetOCharName_1(Character val) throws PException {
        oChar1Name = val;
    }

    public Character paGetOCharName_1() throws PException {
        return oChar1Name;
    }

    //Accessors to the shortName_1 field
    public void paSetShortName_1(short val) throws PException {
        short1Name = val;
    }

    public short paGetShortName_1() throws PException {
        return short1Name;
    }

    //Accessors to the intMyself1_2 field
    public void paSetIntMyself1_2(int val) throws PException {
        int2Myself1 = val;
    }

    public int paGetIntMyself1_2() throws PException {
        return int2Myself1;
    }

    //Accessors to the intMyself1_1 field
    public void paSetIntMyself1_1(int val) throws PException {
        int1Myself1 = val;
    }

    public int paGetIntMyself1_1() throws PException {
        return int1Myself1;
    }

    //Accessors to the charName_2 field
    public void paSetCharName_2(char val) throws PException {
        char2Name = val;
    }

    public char paGetCharName_2() throws PException {
        return char2Name;
    }

    //Accessors to the charName_1 field
    public void paSetCharName_1(char val) throws PException {
        char1Name = val;
    }

    public char paGetCharName_1() throws PException {
        return char1Name;
    }

    //Accessors to the oLongName_2 field
    public void paSetOLongName_2(Long val) throws PException {
        oLong2Name = val;
    }

    public Long paGetOLongName_2() throws PException {
        return oLong2Name;
    }

    //Accessors to the oLongName_1 field
    public void paSetOLongName_1(Long val) throws PException {
        oLong1Name = val;
    }

    public Long paGetOLongName_1() throws PException {
        return oLong1Name;
    }

    //Accessors to the myself2 field
    public void paSetMyself2(PName val, Object connection) throws PException {
        myself2 = val;
    }

    public PName paGetMyself2(Object connection) throws PException {
        return myself2;
    }

    //Accessors to the myself1 field
    public void paSetMyself1(PName val, Object connection) throws PException {
        myself1 = val;
    }

    public PName paGetMyself1(Object connection) throws PException {
        return myself1;
    }

    public Object getMemoryInstance() {
        return this;
    }
}
